Summary: A Radius Authenticaion module for the Apache Web server.
Name: mod_auth_radius
Version: 1.4.2
Release: 2
Group: System Environment/Daemons
Source0: %{name}-%{version}.tar.gz
Source1: httpd.conf.radius
Copyright: Freely distributable and usable
Vendor: Jan Wedekind <jan@wede.de>, Alan DeKok <alan@cryptocard.com>
BuildRoot: %{_tmppath}/%{name}-root
Packager: Hugo van der Kooij <hugo@vanderkooij.org>
Requires: apache >= 1.3
PreReq:	apache-devel

%description
Everyone wants strong authentication over the web.  For us, this means RADIUS.

So here you are. A radius authentication module for your favorite webserver.

Using static passwords & RADIUS authentication over the web is a BAD IDEA.
Everyone can sniff the passwords, as they're sent over the net in the clear.
RADIUS web authentication is a REALLY BAD IDEA if you use the same RADIUS
server for web and NAS (dial-up) or firewall users. Then ANYONE can pretend
to be you, and break through your firewall with minimal effort.

PLEASE use a different RADIUS server for web authentication and dial-up or
firewall users! If you must use the same server, go for one-time passwords.
They're ever so much more secure.

Also, do NOT have your RADIUS server visible to the external world.
Doing so makes all kinds of attacks possible

This module has been tested using Vasco's Radius server and their tokens
using one-time passwords.

This package can be build against apache 1.3.x

%prep
%setup

%build
#/usr/sbin/apxs -i -n radius_auth_module -c mod_auth_radius.c
/usr/sbin/apxs -c mod_auth_radius.c

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/lib/apache
install -m 755 mod_auth_radius.so $RPM_BUILD_ROOT/usr/lib/apache
mkdir -p $RPM_BUILD_ROOT/etc/httpd/conf
install -m 644 $RPM_SOURCE_DIR/httpd.conf.radius $RPM_BUILD_ROOT/etc/httpd/conf

%post
if [ -f /etc/httpd/conf/httpd.conf ] && ! grep -q "^[Ii]nclude.*httpd.conf.radius\|^#[Ii]nclude.*httpd.conf.radius" /etc/httpd/conf/httpd.conf; then
    echo "Include conf/httpd.conf.radius" >> /etc/httpd/conf/httpd.conf
fi
#/etc/rc.d/init.d/httpd restart
echo "Now you can restart your webserver after you made the proper changes!"

%postun
touch /etc/httpd/conf/httpd.conf.radius
#/etc/rc.d/init.d/httpd restart
echo "Now you can restart your webserver"

%files
%defattr(-,root,root)
%dir /usr
%dir /usr/lib
%dir /usr/lib/apache
/usr/lib/apache/mod_auth_radius.so
%doc ModAuthRadius.txt
%dir /etc/httpd/conf
%config /etc/httpd/conf/httpd.conf.radius

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Nov 20 2000 Peter Hanecak <hanecak@megaloman.sk>
- %%{_tmppath} used

* Sat Nov 18 2000 HHugo van der Kooij <hugo@vanderkooij>
- Updated to v1.4.2 (applied patch to add AuthRadiusBindAddress option)

* Tue Mar 14 2000 Peter Hanecak <hanecak@megaloman.sk>
- removed '-i' and '-n' switches from build command so ordinary users can
  perform package rebuild

* Fri Mar 10 2000 Hugo van der Kooij <hugo@vanderkooij.org>
- Created this package from the source file.
- %post procedure is disabled
  untill I have been able to work out a reasonable good example.
- No pre RPM changes have been recorded here find then in the text file!

